// Copyright (c) 2015, SolutionERP LLC and Contributors
// License: GNU General Public License v3. See license.txt

xhiveframework.require("assets/xhiveerp/js/financial_statements.js", function() {
	xhiveframework.query_reports["Balance Sheet"] = $.extend({}, xhiveerp.financial_statements);

	xhiveerp.utils.add_dimensions('Balance Sheet', 10);

	xhiveframework.query_reports["Balance Sheet"]["filters"].push({
		"fieldname": "accumulated_values",
		"label": __("Accumulated Values"),
		"fieldtype": "Check",
		"default": 1
	});

	xhiveframework.query_reports["Balance Sheet"]["filters"].push({
		"fieldname": "include_default_book_entries",
		"label": __("Include Default Book Entries"),
		"fieldtype": "Check",
		"default": 1
	});
});
